
QGIS Application - Bug report #15052

PyQgsWFSProviderGUI test segfaults on Travis

2016-06-16 12:28 PM - Sandro Santilli

Status: Closed

Priority: High

Assignee:

Category: Tests Suite

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 22995

Description

See https://travis-ci.org/qgis/QGIS/jobs/138132055#L1218-L1219

An excerpt:

219/224 Test #219: PyQgsWFSProviderGUI .....................***Failed    0.56 sec

export LD_LIBRARY_PATH=NOTFOUND:/home/travis/build/qgis/QGIS/build/output/lib:/home/travis/osgeo4travis/lib

export

PYTHONPATH=/home/travis/build/qgis/QGIS/build/output/python/:/home/travis/build/qgis/QGIS/build/output/python/plugins:/home/travis/build/qgis/QGIS/tests/src/python:/home/travis/osgeo4travis/lib/python3.3/site-packages/

-- Running /home/travis/virtualenv/python3.3.5/bin/python3 /home/travis/build/qgis/QGIS/tests/src/pyt

e/travis/build/qgis/QGIS/tests/src/python:/home/travis/osgeo4travis/lib/python3.3/site-packages/

-- Running /home/travis/virtualenv/python3.3.5/bin/python3

/home/travis/build/qgis/QGIS/tests/src/python/test_provider_wfs_gui.py 

Running from build directory!

- source directory: /home/travis/build/qgis/QGIS

- output directory of the build: /home/travis/build/qgis/QGIS/build/output

!!! prefix path was requested, but it is not valid - we do not run from installed path !!!

Unsupported screen format: depth: 8, red_mask: 0, blue_mask: 0

Unsupported screen format: depth: 8, red_mask: 0, blue_mask: 0

Unsupported screen format: depth: 8, red_mask: 0, blue_mask: 0

Unsupported screen format: depth: 8, red_mask: 0, blue_mask: 0

CMake Error at PyQgsWFSProviderGUI.cmake:22 (MESSAGE):

  Test failed: Segmentation fault
https://travis-ci.org/qgis/QGIS/jobs/138132055#L1218-L1219


History

#1 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-03-07 10:49 AM - Giovanni Manghi

- Target version set to Version 3.0

#3 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-11-08 01:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2019-02-23 08:36 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
